import { ApiProperty } from '@nestjs/swagger';
import {
  IsEmail,
  IsNotEmpty,
  IsDefined,
  IsString,
  IsNumber,
  IsOptional,
} from 'class-validator';
export class CreateUserDto {
  // NOTE: Since the id is autoinc, so no id for user creation
  // @ApiProperty({
  //   type: 'number',
  //   name: 'id',
  //   description: 'id of user',
  //   required: false,
  // })
  // id: number;

  @ApiProperty({
    type: String,
    name: 'name',
    description: 'name of user',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  name: string;

  @ApiProperty({
    type: Number,
    name: 'age',
    description: 'age of user',
    required: false,
  })
  @IsNumber()
  @IsOptional()
  age: number;
}
